{% extends 'base.html.twig' %}

{% block title %}Car index{% endblock %}

{% block body %}
    <div class="container">
        <h2 class="text-center mt-5 mb-3">Symfony Car Manager</h2>
        <div class="card">
            <div class="card-header">
                <a class="btn btn-outline-primary" href="{{ path('car_new') }}">
                    Create New Car
                </a>
            </div>
            <h6 style="text-align:right;">{{ date_now|date("l d F - H:i") }} - Temperature : {{ temperature }} &deg</h6>
            <form id="filters" method="post">
                <div class="input-group">
                    <input type="search" name="car_name" class="form-control rounded" placeholder="Search by Car Name"
                           aria-label="Search" aria-describedby="search-addon"/>
                    <input type="search" name="car_category" class="form-control rounded" placeholder="Search by Category"
                           aria-label="Search" aria-describedby="search-addon"/>
                    <button type="submit" class="btn btn-outline-primary">Search</button>
                </div>
            </form>
            <div class="card-body">
                <table class="table table-bordered">
                    <tr>
                        <th>Brand</th>
                        <th>Cost</th>
                        <th>Nb seats</th>
                        <th>Nb doors</th>
                        <th>Category</th>
                        <th width="240px">Action</th>
                    </tr>
                    {% for car in cars %}
                        <tr>
                            <th>{{ car.name }}</th>
                            <td>{{ car.cost }}</td>
                            <td>{{ car.nbSeats }}</td>
                            <td>{{ car.nbDoors }}</td>
                            <td>{{ car.carCategory.name }}</td>
                            <td>
                                <form method="post" action="{{ path('car_delete', {'id': car.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
                                    <a
                                            class="btn btn-outline-success"
                                            href="{{ path('car_edit', {'id': car.id}) }}">
                                        Edit
                                    </a>

                                    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ car.id) }}">
                                    <button class="btn btn-outline-danger">Delete</button>
                                </form>
                            </td>
                        </tr>
                    {% endfor %}
                </table>
                {{ knp_pagination_render(cars,'pagination.html.twig') }}
            </div>
        </div>
    </div>
    <script>
        window.setTimeout( function() {
            window.location.reload();
        }, 60*60000);
    </script>

{% endblock %}
